Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/configure.zcml
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/configure.zcml	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/configure.zcml	(revision 14178)
@@ -6,5 +6,5 @@
   -->
   <include package="waeup.ikoba" />
-  <include package="ikobacustom.skeleton" file="locales.zcml" />
+  <include package="ikobacustom.uniben" file="locales.zcml" />
   <grok:grok package="." />
 
@@ -14,5 +14,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="ikobacustom.skeleton.widgets.phonewidget.NigeriaPhoneWidget"
+      factory="ikobacustom.uniben.widgets.phonewidget.NigeriaPhoneWidget"
       permission="zope.Public"
       />
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/batching.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/batching.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/batching.py	(revision 14178)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for uniben documents.
 """
 import grok
@@ -22,8 +22,8 @@
     CustomerProcessor,
     CustomerDocumentProcessorBase, ContractProcessorBase)
-from ikobacustom.skeleton.customers.interfaces import (
+from ikobacustom.uniben.customers.interfaces import (
     ISkeletonCustomer,
     ISkeletonCustomerDocument, ISkeletonContract)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -31,5 +31,5 @@
     """A batch processor for ICustomer objects.
     """
-    util_name = 'skeletoncustomerprocessor'
+    util_name = 'unibencustomerprocessor'
     grok.name(util_name)
     name = _('Skeleton Customer Processor')
@@ -40,5 +40,5 @@
     """A batch processor for ISkeletonCustomerDocument objects.
     """
-    util_name = 'skeletoncustomerdocumentprocessor'
+    util_name = 'unibencustomerdocumentprocessor'
     grok.name(util_name)
     name = _('Skeleton Customer Document Processor')
@@ -50,5 +50,5 @@
     """A batch processor for ISkeletonContract objects.
     """
-    util_name = 'skeletoncontractprocessor'
+    util_name = 'unibencontractprocessor'
     grok.name(util_name)
     name = _('Skeleton Customer Contract Processor')
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/browser.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/browser.py	(revision 14178)
@@ -21,5 +21,5 @@
 from waeup.ikoba.customers.browser import (
     PDFContractSlip, CustomerBaseEditFormPage)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 class PDFContractSlip(PDFContractSlip):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/contracts.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/contracts.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/contracts.py	(revision 14178)
@@ -26,6 +26,6 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.contracts import ContractBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import (
+from ikobacustom.uniben.interfaces import MessageFactory as _
+from ikobacustom.uniben.customers.interfaces import (
     ISkeletonContract, ISkeletonContractEdit, ISkeletonContractProcess,
     ISkeletonContractOfficialUse)
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/customer.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/customer.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/customer.py	(revision 14178)
@@ -25,6 +25,6 @@
 from waeup.ikoba.customers.customer import Customer
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.customers.interfaces import ISkeletonCustomer
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -46,6 +46,6 @@
     grok.implements(IFactory)
     grok.name(u'waeup.Customer')
-    title = u"Create a new skeleton customer.",
-    description = u"This factory instantiates new skeleton customer instances."
+    title = u"Create a new uniben customer.",
+    description = u"This factory instantiates new uniben customer instances."
 
     def __call__(self, *args, **kw):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/documents.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/documents.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/documents.py	(revision 14178)
@@ -25,6 +25,6 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.documents import CustomerDocumentBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.uniben.interfaces import MessageFactory as _
+from ikobacustom.uniben.customers.interfaces import ISkeletonCustomerDocument
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/export.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/export.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/export.py	(revision 14178)
@@ -16,12 +16,12 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton customer objects and subobjects.
+"""Exporters for uniben customer objects and subobjects.
 """
 import grok
 from waeup.ikoba.customers.export import (
     CustomerExporter, CustomerDocumentExporterBase, ContractExporterBase)
-from ikobacustom.skeleton.customers.interfaces import (
+from ikobacustom.uniben.customers.interfaces import (
     ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContractProcess)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 class SkeletonCustomerExporter(CustomerExporter):
@@ -35,5 +35,5 @@
     """Exporter for documents.
     """
-    grok.name('skeletoncustomerdocuments')
+    grok.name('unibencustomerdocuments')
     iface = ISkeletonCustomerDocument
     title = _(u'Skeleton Customer Documents')
@@ -44,5 +44,5 @@
     """Exporter for Contract instances.
     """
-    grok.name('skeletoncontracts')
+    grok.name('unibencontracts')
     iface = ISkeletonContractProcess
     title = _(u'Skeleton Customer Contracts')
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/fileviewlets.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/fileviewlets.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/fileviewlets.py	(revision 14178)
@@ -23,5 +23,5 @@
     FileDisplay, FileUpload, Image)
 
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
+from ikobacustom.uniben.customers.documents import SkeletonCustomerDocument
 
 from waeup.ikoba.customers.browser import (
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/interfaces.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/interfaces.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/interfaces.py	(revision 14178)
@@ -24,5 +24,5 @@
     ConCatProductSource, CustomerDocumentSource)
 from waeup.ikoba.products.productoptions import ProductOptionField
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py	(revision 14178)
@@ -30,13 +30,13 @@
 from waeup.ikoba.customers.tests.test_batching import CustomerImportExportSetup
 from waeup.ikoba.customers.tests.test_browser import CustomersFullSetup
-from ikobacustom.skeleton.customers.export import (
+from ikobacustom.uniben.customers.export import (
     SkeletonCustomerExporter,
     SkeletonCustomerDocumentExporter,
     SkeletonContractExporter)
-from ikobacustom.skeleton.customers.batching import (
+from ikobacustom.uniben.customers.batching import (
     SkeletonCustomerProcessor,
     SkeletonCustomerDocumentProcessor,
     SkeletonContractProcessor)
-from ikobacustom.skeleton.testing import FunctionalLayer, samples_dir
+from ikobacustom.uniben.testing import FunctionalLayer, samples_dir
 
 SAMPLE_IMAGE = os.path.join(os.path.dirname(__file__), 'test_image.jpg')
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/tests/test_contract.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_contract.py	(revision 14178)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.contracts import ContractsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.contracts import SkeletonContract
-from ikobacustom.skeleton.customers.interfaces import ISkeletonContract
+from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.uniben.customers.contracts import SkeletonContract
+from ikobacustom.uniben.customers.interfaces import ISkeletonContract
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/tests/test_customer.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py	(revision 14178)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton customers.
+Tests for uniben customers.
 """
 import tempfile
@@ -30,7 +30,7 @@
 from waeup.ikoba.customers.container import CustomersContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.customer import SkeletonCustomer
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
+from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.uniben.customers.customer import SkeletonCustomer
+from ikobacustom.uniben.customers.interfaces import ISkeletonCustomer
 
 class SkeletonCustomerTestCase(FunctionalTestCase):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_document.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/tests/test_document.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_document.py	(revision 14178)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.documents import CustomerDocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.uniben.customers.documents import SkeletonCustomerDocument
+from ikobacustom.uniben.customers.interfaces import ISkeletonCustomerDocument
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/utils.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/customers/utils.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/utils.py	(revision 14178)
@@ -25,5 +25,5 @@
     SUBMITTED, VERIFIED, REJECTED,
     EXPIRED, PROVISIONALLY)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 class SkeletonCustomersUtils(CustomersUtils):
@@ -62,4 +62,4 @@
     EXPORTER_NAMES = (
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'unibencustomerdocuments',
+        'unibencontracts')
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/__init__.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/__init__.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/__init__.py	(revision 14178)
@@ -2,5 +2,5 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.documents.document import SkeletonDocument
+from ikobacustom.uniben.documents.document import SkeletonDocument
 
 __all__ = [
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/batching.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/batching.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/batching.py	(revision 14178)
@@ -16,10 +16,10 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for uniben documents.
 """
 import grok
 from waeup.ikoba.documents.batching import DocumentProcessorBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.documents.interfaces import ISkeletonDocument
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -27,5 +27,5 @@
     """A batch processor for ISkeletonDocument objects.
     """
-    util_name = 'skeletondocumentprocessor'
+    util_name = 'unibendocumentprocessor'
     grok.name(util_name)
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/document.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/document.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/document.py	(revision 14178)
@@ -24,6 +24,6 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.documents.document import PublicDocumentBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.documents.interfaces import ISkeletonDocument
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -45,5 +45,5 @@
     grok.name(u'waeup.SkeletonDocument')
     title = u"Create a new document.",
-    description = u"This factory instantiates new skeleton documents."
+    description = u"This factory instantiates new uniben documents."
 
     def __call__(self, *args, **kw):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/export.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/export.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/export.py	(revision 14178)
@@ -16,10 +16,10 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton documents.
+"""Exporters for uniben documents.
 """
 import grok
 from waeup.ikoba.documents.export import DocumentExporterBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.documents.interfaces import ISkeletonDocument
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -27,5 +27,5 @@
     """Exporter for documents.
     """
-    grok.name('skeletondocuments')
+    grok.name('unibendocuments')
     iface = ISkeletonDocument
     class_name = 'SkeletonDocument'
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/interfaces.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/interfaces.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/interfaces.py	(revision 14178)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.documents.interfaces import IPublicDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
 class ISkeletonDocument(IPublicDocument):
-    """A representation of a skeleton document.
+    """A representation of a uniben document.
 
     """
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/tests/test_browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/tests/test_browser.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/tests/test_browser.py	(revision 14178)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.documents.tests.test_batching import DocumentImportExportSetup
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.export import SkeletonDocumentExporter
-from ikobacustom.skeleton.documents.batching import SkeletonDocumentProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.uniben.documents.document import SkeletonDocument
+from ikobacustom.uniben.documents.export import SkeletonDocumentExporter
+from ikobacustom.uniben.documents.batching import SkeletonDocumentProcessor
+from ikobacustom.uniben.testing import FunctionalLayer
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/tests/test_document.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/tests/test_document.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/tests/test_document.py	(revision 14178)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton documents.
+Tests for uniben documents.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -23,7 +23,7 @@
 from waeup.ikoba.documents.container import DocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
+from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.uniben.documents.document import SkeletonDocument
+from ikobacustom.uniben.documents.interfaces import ISkeletonDocument
 
 class SkeletonDocumentTestCase(FunctionalTestCase):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/utils.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/documents/utils.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/documents/utils.py	(revision 14178)
@@ -19,5 +19,5 @@
 """
 from waeup.ikoba.documents.utils import DocumentsUtils
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/ftesting.zcml
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/ftesting.zcml	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/ftesting.zcml	(revision 14178)
@@ -2,11 +2,11 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:ikoba="http://namespaces.waeup.org/ikoba"
-   i18n_domain="ikobacustom.skeleton"
-   package="ikobacustom.skeleton"
+   i18n_domain="ikobacustom.uniben"
+   package="ikobacustom.uniben"
    >
 
   <include package="grok" />
-  <includeOverrides package="ikobacustom.skeleton" />
-  <include package="ikobacustom.skeleton" file="mail.zcml" />
+  <includeOverrides package="ikobacustom.uniben" />
+  <include package="ikobacustom.uniben" file="mail.zcml" />
 
   <!-- Where should the datacenter reside by default?
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/interfaces.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/interfaces.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/interfaces.py	(revision 14178)
@@ -20,7 +20,7 @@
 from zope import schema
 from zc.sourcefactory.basic import BasicSourceFactory
-from ikobacustom.skeleton.utils.lgas import LGAS
+from ikobacustom.uniben.utils.lgas import LGAS
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.uniben')
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/__init__.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/__init__.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/__init__.py	(revision 14178)
@@ -2,5 +2,5 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.products.product import SkeletonProduct
+from ikobacustom.uniben.products.product import SkeletonProduct
 
 __all__ = [
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/batching.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/batching.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/batching.py	(revision 14178)
@@ -16,10 +16,10 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton products.
+"""Batch processing for uniben products.
 """
 import grok
 from waeup.ikoba.products.batching import ProductProcessor
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.products.interfaces import ISkeletonProduct
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 class SkeletonProductProcessor(ProductProcessor):
@@ -27,4 +27,4 @@
     iface = ISkeletonProduct
     name = _('Skeleton Product Processor')
-    util_name = 'skeletonproductprocessor'
+    util_name = 'unibenproductprocessor'
     grok.name(util_name)
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/export.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/export.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/export.py	(revision 14178)
@@ -16,11 +16,11 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton products.
+"""Exporters for uniben products.
 """
 import grok
 from waeup.ikoba.utils.helpers import iface_names
 from waeup.ikoba.products.export import ProductExporter
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.products.interfaces import ISkeletonProduct
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/interfaces.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/interfaces.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/interfaces.py	(revision 14178)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.products.interfaces import IProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
 class ISkeletonProduct(IProduct):
-    """A representation of a skeleton product.
+    """A representation of a uniben product.
 
     """
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/product.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/product.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/product.py	(revision 14178)
@@ -24,6 +24,6 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.products.product import Product
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.products.interfaces import ISkeletonProduct
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 
@@ -45,5 +45,5 @@
     grok.name(u'waeup.Product')
     title = u"Create a new product.",
-    description = u"This factory instantiates new skeleton products."
+    description = u"This factory instantiates new uniben products."
 
     def __call__(self, *args, **kw):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/tests/test_browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/tests/test_browser.py	(revision 14178)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.products.tests.test_batching import ProductImportExportSetup
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.export import SkeletonProductExporter
-from ikobacustom.skeleton.products.batching import SkeletonProductProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.uniben.products.product import SkeletonProduct
+from ikobacustom.uniben.products.export import SkeletonProductExporter
+from ikobacustom.uniben.products.batching import SkeletonProductProcessor
+from ikobacustom.uniben.testing import FunctionalLayer
 
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/tests/test_product.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/products/tests/test_product.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/products/tests/test_product.py	(revision 14178)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton products.
+Tests for uniben products.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -24,7 +24,7 @@
 from waeup.ikoba.products.container import ProductsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
+from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.uniben.products.product import SkeletonProduct
+from ikobacustom.uniben.products.interfaces import ISkeletonProduct
 
 class SkeletonProductTestCase(FunctionalTestCase):
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/testing.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/testing.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/testing.py	(revision 14178)
@@ -20,11 +20,11 @@
 import os
 import tempfile
-import ikobacustom.skeleton
+import ikobacustom.uniben
 from zope.app.testing.functional import ZCMLLayer
 from waeup.ikoba.testing import FunctionalTestCase
 
-# Some funcional layer that groks ikobacustom.skeleton.
+# Some funcional layer that groks ikobacustom.uniben.
 ftesting_zcml = os.path.join(
-    os.path.dirname(ikobacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(ikobacustom.uniben.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
@@ -34,5 +34,5 @@
     # and return its path.
     tmp_dir = os.path.join(
-        tempfile.gettempdir(), 'ikobacustom.skeleton.pdf-samples')
+        tempfile.gettempdir(), 'ikobacustom.uniben.pdf-samples')
     if not os.path.exists(tmp_dir):
         os.mkdir(tmp_dir)
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/utils/utils.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/skeleton/utils/utils.py	(revision 14174)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/utils/utils.py	(revision 14178)
@@ -20,5 +20,5 @@
 import pytz
 from waeup.ikoba.utils.utils import IkobaUtils, sorted_phone_prefixes
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.uniben.interfaces import MessageFactory as _
 
 INT_PHONE_PREFIXES = [
@@ -66,12 +66,12 @@
         'products',
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'unibencustomerdocuments',
+        'unibencontracts')
 
     BATCH_PROCESSOR_NAMES = (
-        'skeletoncustomerprocessor',
-        'skeletoncustomerdocumentprocessor',
-        'skeletoncontractprocessor',
-        'skeletonproductprocessor',
+        'unibencustomerprocessor',
+        'unibencustomerdocumentprocessor',
+        'unibencontractprocessor',
+        'unibenproductprocessor',
         'pdfdocumentprocessor',
         'htmldocumentprocessor',