Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py	(revision 14178)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py	(revision 14181)
@@ -31,11 +31,11 @@
 from waeup.ikoba.customers.tests.test_browser import CustomersFullSetup
 from ikobacustom.uniben.customers.export import (
-    SkeletonCustomerExporter,
-    SkeletonCustomerDocumentExporter,
-    SkeletonContractExporter)
+    UnibenCustomerExporter,
+    UnibenCustomerDocumentExporter,
+    UnibenContractExporter)
 from ikobacustom.uniben.customers.batching import (
-    SkeletonCustomerProcessor,
-    SkeletonCustomerDocumentProcessor,
-    SkeletonContractProcessor)
+    UnibenCustomerProcessor,
+    UnibenCustomerDocumentProcessor,
+    UnibenContractProcessor)
 from ikobacustom.uniben.testing import FunctionalLayer, samples_dir
 
@@ -61,8 +61,8 @@
         IWorkflowState(customer).setState('started')
         self.app['customers'].addCustomer(customer)
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.UnibenCustomerDocument')
         document.title = u'My first document'
         customer['documents'].addDocument(document)
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.UnibenContract')
         contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
@@ -77,5 +77,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerExporter()
+        exporter = UnibenCustomerExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -85,5 +85,5 @@
             'K1000000,aa@aa.aa,Beate,Mueller,,,123,f,0,,,started,[]\r\n')
         # We can reimport the file ...
-        processor = SkeletonCustomerProcessor()
+        processor = UnibenCustomerProcessor()
         result = processor.doImport(
             self.outfile,
@@ -118,18 +118,18 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerDocumentExporter()
+        exporter = UnibenCustomerDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
             'class_name,document_id,history,state,title,user_id\r\n'
-            'SkeletonCustomerDocument,%s,'
+            'UnibenCustomerDocument,%s,'
             '[u\'2014-12-21 17:00:36 WAT - Document created by system\'],'
             'created,My first document,K1000000\r\n'
             % self.document.document_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonCustomerDocumentProcessor()
+        processor = UnibenCustomerDocumentProcessor()
         open(self.outfile, 'wb').write(
             'customer_id,class_name,document_id,state,title\r\n'
-            'K1000000,SkeletonCustomerDocument,%s,started,My first title\r\n'
+            'K1000000,UnibenCustomerDocument,%s,started,My first title\r\n'
             % self.document.document_id)
         result = processor.doImport(
@@ -162,5 +162,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonContractExporter()
+        exporter = UnibenContractExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -169,15 +169,15 @@
             'fee_based,history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id,valid_from,valid_to\r\n'
-            'SkeletonContract,,sample,%s,,0,'
+            'UnibenContract,,sample,%s,,0,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000,,\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonContractProcessor()
+        processor = UnibenContractProcessor()
         open(self.outfile, 'wb').write(
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'SkeletonContract,sample,%s,,'
+            'UnibenContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
@@ -221,6 +221,6 @@
     def setup_customizable_params(self):
         self._contract_category = u'sample'
-        self._document_factory = 'waeup.SkeletonCustomerDocument'
-        self._contract_factory = 'waeup.SkeletonContract'
+        self._document_factory = 'waeup.UnibenCustomerDocument'
+        self._contract_factory = 'waeup.UnibenContract'
         return
 
@@ -304,6 +304,6 @@
     def setup_customizable_params(self):
         self._contract_category = u'sample'
-        self._document_factory = 'waeup.SkeletonCustomerDocument'
-        self._contract_factory = 'waeup.SkeletonContract'
+        self._document_factory = 'waeup.UnibenCustomerDocument'
+        self._contract_factory = 'waeup.UnibenContract'
         return
 
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_contract.py	(revision 14178)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_contract.py	(revision 14181)
@@ -29,6 +29,6 @@
 
 from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.uniben.customers.contracts import SkeletonContract
-from ikobacustom.uniben.customers.interfaces import ISkeletonContract
+from ikobacustom.uniben.customers.contracts import UnibenContract
+from ikobacustom.uniben.customers.interfaces import IUnibenContract
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonContract, SkeletonContract)
-        verify.verifyClass(ICustomerNavigation, SkeletonContract)
-        verify.verifyObject(ISkeletonContract, SkeletonContract())
-        verify.verifyObject(ICustomerNavigation, SkeletonContract())
+        verify.verifyClass(IUnibenContract, UnibenContract)
+        verify.verifyClass(ICustomerNavigation, UnibenContract)
+        verify.verifyObject(IUnibenContract, UnibenContract())
+        verify.verifyObject(ICustomerNavigation, UnibenContract())
         return
 
     def test_addContract(self):
         container = ContractsContainer()
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.UnibenContract')
         id = contract.contract_id
         container.addContract(contract)
         self.assertEqual(container[id], contract)
         self.assertRaises(TypeError, container.addContract, object())
-        self.assertEqual(contract.class_name, 'SkeletonContract')
+        self.assertEqual(contract.class_name, 'UnibenContract')
         return
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py	(revision 14178)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py	(revision 14181)
@@ -31,13 +31,13 @@
 
 from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.uniben.customers.customer import SkeletonCustomer
-from ikobacustom.uniben.customers.interfaces import ISkeletonCustomer
+from ikobacustom.uniben.customers.customer import UnibenCustomer
+from ikobacustom.uniben.customers.interfaces import IUnibenCustomer
 
-class SkeletonCustomerTestCase(FunctionalTestCase):
+class UnibenCustomerTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(SkeletonCustomerTestCase, self).setUp()
+        super(UnibenCustomerTestCase, self).setUp()
 
         # Prepopulate ZODB
@@ -52,13 +52,13 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomer, SkeletonCustomer)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomer)
-        verify.verifyObject(ISkeletonCustomer, SkeletonCustomer())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomer())
+        verify.verifyClass(IUnibenCustomer, UnibenCustomer)
+        verify.verifyClass(ICustomerNavigation, UnibenCustomer)
+        verify.verifyObject(IUnibenCustomer, UnibenCustomer())
+        verify.verifyObject(ICustomerNavigation, UnibenCustomer())
         return
 
-    def test_addSkeletonCustomer(self):
+    def test_addUnibenCustomer(self):
         customer = createObject(u'waeup.Customer')
-        verify.verifyObject(ISkeletonCustomer, customer)
+        verify.verifyObject(IUnibenCustomer, customer)
         self.app['customers'].addCustomer(customer)
         self.assertEqual(customer.customer_id, 'K1000000')
@@ -68,4 +68,4 @@
     def tearDown(self):
         shutil.rmtree(self.dc_root)
-        super(SkeletonCustomerTestCase, self).tearDown()
+        super(UnibenCustomerTestCase, self).tearDown()
         return
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_document.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_document.py	(revision 14178)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_document.py	(revision 14181)
@@ -29,6 +29,6 @@
 
 from ikobacustom.uniben.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.uniben.customers.documents import SkeletonCustomerDocument
-from ikobacustom.uniben.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.uniben.customers.documents import UnibenCustomerDocument
+from ikobacustom.uniben.customers.interfaces import IUnibenCustomerDocument
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomerDocument, SkeletonCustomerDocument)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomerDocument)
-        verify.verifyObject(ISkeletonCustomerDocument, SkeletonCustomerDocument())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomerDocument())
+        verify.verifyClass(IUnibenCustomerDocument, UnibenCustomerDocument)
+        verify.verifyClass(ICustomerNavigation, UnibenCustomerDocument)
+        verify.verifyObject(IUnibenCustomerDocument, UnibenCustomerDocument())
+        verify.verifyObject(ICustomerNavigation, UnibenCustomerDocument())
         return
 
     def test_addDocument(self):
         container = CustomerDocumentsContainer()
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.UnibenCustomerDocument')
         id = document.document_id
         container.addDocument(document)
         self.assertEqual(container[id], document)
         self.assertRaises(TypeError, container.addDocument, object())
-        self.assertEqual(document.class_name, 'SkeletonCustomerDocument')
+        self.assertEqual(document.class_name, 'UnibenCustomerDocument')
         return