Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py	(revision 14184)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_browser.py	(revision 14188)
@@ -32,9 +32,9 @@
 from ikobacustom.uniben.customers.export import (
     UnibenCustomerExporter,
-    UnibenCustomerDocumentExporter,
+    UnibenCustomerPDFDocumentExporter,
     RIAAContractExporter)
 from ikobacustom.uniben.customers.batching import (
     UnibenCustomerProcessor,
-    UnibenCustomerDocumentProcessor,
+    UnibenCustomerPDFDocumentProcessor,
     RIAAContractProcessor)
 from ikobacustom.uniben.testing import FunctionalLayer, samples_dir
@@ -61,5 +61,5 @@
         IWorkflowState(customer).setState('started')
         self.app['customers'].addCustomer(customer)
-        document = createObject(u'waeup.UnibenCustomerDocument')
+        document = createObject(u'waeup.UnibenCustomerPDFDocument')
         document.title = u'My first document'
         customer['documents'].addDocument(document)
@@ -83,5 +83,5 @@
             'customer_id,email,firstname,lastname,middlename,phone,'
             'reg_number,sex,suspended,suspended_comment,password,state,history\r\n'
-            'K1000000,aa@aa.aa,Beate,Mueller,,,123,f,0,,,started,[]\r\n')
+            'B1000000,aa@aa.aa,Beate,Mueller,,,123,f,0,,,started,[]\r\n')
         # We can reimport the file ...
         processor = UnibenCustomerProcessor()
@@ -94,5 +94,5 @@
         self.assertEqual(num_fail,1)
         # ... if we remove the original customer.
-        del self.app['customers']['K1000000']
+        del self.app['customers']['B1000000']
         result = processor.doImport(
             self.outfile,
@@ -118,18 +118,18 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = UnibenCustomerDocumentExporter()
+        exporter = UnibenCustomerPDFDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
             'class_name,document_id,history,state,title,user_id\r\n'
-            'UnibenCustomerDocument,%s,'
+            'UnibenCustomerPDFDocument,%s,'
             '[u\'2014-12-21 17:00:36 WAT - Document created by system\'],'
-            'created,My first document,K1000000\r\n'
+            'created,My first document,B1000000\r\n'
             % self.document.document_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = UnibenCustomerDocumentProcessor()
+        processor = UnibenCustomerPDFDocumentProcessor()
         open(self.outfile, 'wb').write(
             'customer_id,class_name,document_id,state,title\r\n'
-            'K1000000,UnibenCustomerDocument,%s,started,My first title\r\n'
+            'B1000000,UnibenCustomerPDFDocument,%s,started,My first title\r\n'
             % self.document.document_id)
         result = processor.doImport(
@@ -166,10 +166,11 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
-            'class_name,comment,contract_category,contract_id,document_object,'
+            'class_name,comment,contract_category,contract_id,'
+            'doc1,doc10,doc11,doc2,doc3,doc4,doc5,doc6,doc7,doc8,doc9,'
             'fee_based,history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id,valid_from,valid_to\r\n'
-            'RIAAContract,,riaa,%s,,0,'
+            'RIAAContract,,riaa,%s,,,,,,,,,,,,0,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
-            ',,,[],created,{\'en\': u\'Hello World\'},,K1000000,,\r\n'
+            ',,,[],created,{\'en\': u\'Hello World\'},,B1000000,,\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
@@ -181,5 +182,5 @@
             'RIAAContract,riaa,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
-            ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
+            ',,,[],created,{\'en\': u\'Hello World\'},,B1000000\r\n'
             % self.contract.contract_id)
         result = processor.doImport(
@@ -238,5 +239,5 @@
         self.browser.getControl("Save").click() # submit form
         self.assertFalse(
-            'href="http://localhost/app/customers/K1000000/documents/DOC1/sample"'
+            'href="http://localhost/app/customers/B1000000/documents/DOC1/sample"'
             in self.browser.contents)
         # ... but the correct upload submit button does
@@ -248,5 +249,5 @@
             name='upload_samplescanmanageupload').click()
         self.assertTrue(
-            'href="http://localhost/app/customers/K1000000/documents/DOC1/sample"'
+            'href="http://localhost/app/customers/B1000000/documents/DOC1/sample"'
             in self.browser.contents)
         # Browsing the link shows a real image
Index: main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py
===================================================================
--- main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py	(revision 14184)
+++ main/ikobacustom.uniben/trunk/src/ikobacustom/uniben/customers/tests/test_customer.py	(revision 14188)
@@ -62,6 +62,6 @@
         verify.verifyObject(IUnibenCustomer, customer)
         self.app['customers'].addCustomer(customer)
-        self.assertEqual(customer.customer_id, 'K1000000')
-        self.assertEqual(self.app['customers']['K1000000'], customer)
+        self.assertEqual(customer.customer_id, 'B1000000')
+        self.assertEqual(self.app['customers']['B1000000'], customer)
         return
 