Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 14202)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 14208)
@@ -739,5 +739,6 @@
 
     @action(_('Save and request registration now'),
-            warning=WARNING_CUST, condition=is_requestable)
+            warning=WARNING_CUST, condition=is_requestable,
+            style='success')
     def finalsubmit(self, **data):
         msave(self, **data)
@@ -1006,5 +1007,5 @@
         return
 
-    @action(_('Final Submit'), warning=WARNING_DOC)
+    @action(_('Final Submit'), warning=WARNING_DOC, style='success')
     def finalsubmit(self, **data):
         msave(self, **data)
@@ -1084,5 +1085,5 @@
     def render(self):
         portal_language = getUtility(IIkobaUtils).PORTAL_LANGUAGE
-        Id = translate(_('Id'), 'waeup.ikoba', target_language=portal_language)
+        #Id = translate(_('Id'), 'waeup.ikoba', target_language=portal_language)
         Title = translate(_('Title'), 'waeup.ikoba', target_language=portal_language)
         Type = translate(_('Type'), 'waeup.ikoba', target_language=portal_language)
@@ -1094,5 +1095,6 @@
             tabledata.append(sorted(
                 [value for value in self.context.values()]))
-            tableheader.append([(Id, 'document_id', 2),
+            tableheader.append([
+                             #(Id, 'document_id', 2),
                              (Title, 'title', 6),
                              (Type, 'translated_class_name', 6),
@@ -1464,5 +1466,5 @@
 
     @action(_('Apply now (final submission)'), warning=WARNING_CON,
-            condition=submission_allowed, style='primary')
+            condition=submission_allowed, style='success')
     def submit(self, **data):
         if self.terms_and_conditions and not self.request.form.get(
@@ -1522,5 +1524,5 @@
 
     @action(_('Select payment method (final submission)'),
-            style='primary')
+            style='success')
     def confirm(self, **data):
         if self.gw is None:
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 14202)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 14208)
@@ -141,5 +141,6 @@
         self.customer['documents'].addDocument(self.document)
         self.contract = createObject(self._contract_factory)
-        self.contract.contract_id = u'CON1'
+        self.contract.contract_id = u'11111222223333344444555556666677'
+        self.contract.title = u'My first contract'
         self.assertRaises(
             NotIdValue, setattr, self.contract, 'contract_id',
@@ -1352,5 +1353,5 @@
         self.assertTrue('Sample Contract added.' in self.browser.contents)
         conid = [i for i in self.customer['contracts'].keys()
-                 if len(i) > 10][0]
+                 if self.customer['contracts'][i].title != 'My first contract'][0]
         contract = self.customer['contracts'][conid]
         self.assertEqual(
@@ -1446,5 +1447,5 @@
         self.assertTrue('Sample Contract added.' in self.browser.contents)
         conid = [i for i in self.customer['contracts'].keys()
-                 if len(i) > 10][0]
+                 if self.customer['contracts'][i].title != 'My first contract'][0]
         contract = self.customer['contracts'][conid]
         self.assertEqual(
@@ -1567,6 +1568,7 @@
         self.contract.valid_from = date(2015, 12, 4)
         self.contract.valid_to = 'anything'
-        self.contract.title = u'Contract Title'
-        self.browser.open(self.customer_path + '/contracts/CON1')
+        self.contract.title = u'My second contract'
+        self.browser.open(self.customer_path
+            + '/contracts/11111222223333344444555556666677')
         self.browser.getLink("Download contract slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -1583,8 +1585,9 @@
         self.contract.document_object = self.document
         self.contract.product_object = self.product
-        self.contract.title = u'Contract Title'
+        self.contract.title = u'My third contract'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         # Officers can open the receipt
-        self.browser.open(self.customer_path + '/contracts/CON1')
+        self.browser.open(self.customer_path
+            + '/contracts/11111222223333344444555556666677')
         self.browser.getLink("Download payment receipt").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -1620,5 +1623,6 @@
         IWorkflowState(self.contract).setState('submitted')
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open(self.contracts_path + '/CON1/trigtrans')
+        self.browser.open(self.contracts_path
+            + '/11111222223333344444555556666677/trigtrans')
         self.browser.getControl(name="transition").value = ['approve']
         self.browser.getControl("Apply").click()
@@ -1628,5 +1632,6 @@
             'must be verified first.</div>'
             in self.browser.contents)
-        self.browser.open(self.contracts_path + '/CON1/trigtrans')
+        self.browser.open(self.contracts_path
+            + '/11111222223333344444555556666677/trigtrans')
         IWorkflowState(self.document).setState('verified')
         self.browser.getControl(name="transition").value = ['approve']
@@ -1637,5 +1642,6 @@
         # select payment
         self.prepare_payment_select()
-        self.browser.open('%s/CON1/edit' % self.contracts_path)
+        self.browser.open('%s/11111222223333344444555556666677/edit'
+            % self.contracts_path)
         self.browser.getControl("Proceed to checkout").click()
         self.assertTrue(
@@ -1648,5 +1654,6 @@
         self.prepare_payment_select()
         self.browser.open(
-            '%s/CON1/select_payment_method' % self.contracts_path)
+            '%s/11111222223333344444555556666677/select_payment_method'
+            % self.contracts_path)
         self.browser.getControl(self.never_ending_button_text).click()
         self.assertTrue(
@@ -1657,5 +1664,6 @@
         self.prepare_payment_select()
         self.browser.open(
-            '%s/CON1/select_payment_method' % self.contracts_path)
+            '%s/11111222223333344444555556666677/select_payment_method'
+            % self.contracts_path)
         radio_ctrl = self.browser.getControl(name='gw')
         radio_ctrl.displayValue = ['Credit Card (Demo Payments)']