Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 14218)
@@ -232,4 +232,9 @@
         required = True,
         )
+    ijmb_result_fee = schema.Float(
+        title = _(u'IJMB Result Fee'),
+        default = 0.0,
+        required = True,
+        )
     penalty_ug = schema.Float(
         title = _(u'UG Penalty Fee'),
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14218)
@@ -88,4 +88,5 @@
     'utme_cbt': ('143', 6.0, 9.0, '0106259811', '10'),
     'nysc_id_card': ('144', 6.0, 9.0, '0106259811', '10'),
+    'ijmb_result': ('147', 200.0, 300.0, '0106259811', '10'),
     }
 
@@ -173,4 +174,10 @@
             dalash_amt = 0.0
             provider_amt = 0.0
+        elif 'clearance' in self.context.p_category:
+            self.pay_item_id = '146'
+            xmldict['institution_acct'] = "0106259811"
+            xmldict['institution_bank_id'] = '10'
+            dalash_amt = 200.0
+            provider_amt = 300.0
         else:
             xmldict['institution_acct'] = "0000000000000"
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14218)
@@ -110,5 +110,5 @@
         self.assertMatches('...Amount Authorized...',
                            self.browser.contents)
-        self.assertTrue('<span>40700.0</span>' in self.browser.contents)
+        self.assertTrue('<span>55500.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
 
@@ -144,5 +144,5 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertTrue(
-            '<span>31500.0</span>' in self.browser.contents)
+            '<span>42500.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
 
@@ -159,8 +159,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="3150000" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="2820000" bank_id="10" acct_num="0106259811"' in
+            '<input type="hidden" name="amount" value="4250000" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="3920000" bank_id="10" acct_num="0106259811"' in
             self.browser.contents)
         self.assertTrue(
@@ -386,5 +386,5 @@
         self.browser.open(self.payments_path + '/xyz')
         self.browser.getLink("CollegePAY", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="000" />'
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="146" />'
                            in self.browser.contents)
         self.assertMatches('...Total Amount Authorized:...',
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/browser.py	(revision 14218)
@@ -129,5 +129,5 @@
 class CustomStartClearancePage(StartClearancePage):
 
-    with_ac = False
+    with_ac = True
 
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14218)
@@ -235,5 +235,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 55200.0)
+        self.assertEqual(payment.amount_auth, 77500.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -248,5 +248,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 34090.0)
+        self.assertEqual(payment.amount_auth, 50500.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -254,5 +254,5 @@
         configuration.penalty_ug = 5000.0
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 39090.0)
+        self.assertEqual(payment.amount_auth, 55500.0)
         self.assertEqual(error, None)
 
@@ -339,7 +339,8 @@
         # In KwaraPoly the students can just start clearance without entering
         # an activation code.
-        self.browser.getControl("Start clearance now").click()
-        self.assertMatches('...Clearance process has been started...',
-                           self.browser.contents)
+        # Deactivated on 19/10/2016
+        #self.browser.getControl("Start clearance now").click()
+        #self.assertMatches('...Clearance process has been started...',
+        #                   self.browser.contents)
 
     def test_change_passport(self):
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14218)
@@ -56,20 +56,20 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34500.0, 40700.0, 33600.0, 31500.0, 33600.0, 0.0, 46200.0, 35600.0, 34700.0, 35600.0, 0.0, 48750.0), # science
-            (34500.0, 38700.0, 31600.0, 29500.0, 31600.0, 0.0, 44200.0, 33600.0, 32700.0, 33600.0, 0.0, 47200.0)  # arts
+            (34500.0, 55500.0, 46500.0, 42500.0, 46500.0, 0.0, 63000.0, 48500.0, 46000.0, 48500.0, 0.0, 48750.0), # science
+            (34500.0, 52500.0, 41500.0, 39500.0, 41500.0, 0.0, 59000.0, 43500.0, 41000.0, 43500.0, 0.0, 47200.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49600.0, 55200.0, 41100.0, 34090.0, 41100.0, 0.0, 60700.0, 45600.0, 37900.0, 45600.0, 0.0, 63180.0), # science
-            (49600.0, 53200.0, 39100.0, 32090.0, 39100.0, 0.0, 58700.0, 43600.0, 35900.0, 43600.0, 0.0, 61680.0)  # arts
+            (49600.0, 77500.0, 57500.0, 50500.0, 57500.0, 0.0, 81000.0, 61500.0, 53000.0, 61500.0, 0.0, 63180.0), # science
+            (49600.0, 72500.0, 52500.0, 45500.0, 52500.0, 0.0, 76000.0, 56500.0, 48000.0, 56500.0, 0.0, 61680.0)  # arts
           ), # non-local
         ), # ft
         (
           ( # 10    100       110    200      210      300      400        410    500     510       600     999
-            (0.0, 42000.0, 33600.0, 33400.0, 33600.0, 33400.0, 42400.0, 35600.0, 35500.0, 35600.0, 35500.0, 0.0), # science
-            (0.0, 40000.0, 31600.0, 31400.0, 31600.0, 31400.0, 40400.0, 33600.0, 33500.0, 33600.0, 33500.0, 0.0)  # arts
+            (0.0, 58000.0, 46500.0, 46000.0, 46500.0, 46000.0, 58500.0, 48500.0, 47000.0, 48500.0, 47000.0, 0.0), # science
+            (0.0, 53000.0, 41500.0, 41000.0, 41500.0, 41000.0, 53500.0, 43500.0, 42000.0, 43500.0, 42000.0, 0.0)  # arts
           ), # local
           ( # 10   100         110    200       210      300      400     410      500     510      600     999
-            (0.0, 56700.0, 41100.0, 36350.0, 41100.0, 36350.0, 57600.0, 45600.0, 45850.0, 45600.0, 45850.0, 0.0), # science
-            (0.0, 54700.0, 39100.0, 34350.0, 39100.0, 34350.0, 55600.0, 43600.0, 43850.0, 43600.0, 43850.0, 0.0)  # arts
+            (0.0, 75000.0, 57500.0, 52000.0, 57500.0, 52000.0, 80000.0, 61500.0, 62000.0, 61500.0, 62000.0, 0.0), # science
+            (0.0, 70000.0, 52500.0, 47000.0, 52500.0, 47000.0, 75000.0, 56500.0, 57000.0, 56500.0, 57000.0, 0.0)  # arts
           ), # non-local
         ), # we
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 14217)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 14218)
@@ -100,5 +100,6 @@
         'utme_registration': 'UTME Registration',
         'utme_cbt': 'UTME CBT',
-        'nysc_id_card': 'NYSC ID Card'
+        'nysc_id_card': 'NYSC ID Card',
+        'ijmb_result':'IJMB Result',
         }
 
@@ -141,5 +142,6 @@
         'utme_registration': 'UTME Registration',
         'utme_cbt': 'UTME CBT',
-        'nysc_id_card': 'NYSC ID Card'
+        'nysc_id_card': 'NYSC ID Card',
+        'ijmb_result':'IJMB Result',
         }
 
@@ -189,4 +191,5 @@
         'utme_registration': 'UTME Registration',
         'utme_cbt': 'UTME CBT',
-        'nysc_id_card': 'NYSC ID Card'
+        'nysc_id_card': 'NYSC ID Card',
+        'ijmb_result':'IJMB Result',
         }