Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14221)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14222)
@@ -235,5 +235,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 77500.0)
+        self.assertEqual(payment.amount_auth, 75500.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -248,5 +248,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 50500.0)
+        self.assertEqual(payment.amount_auth, 48500.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -254,5 +254,5 @@
         configuration.penalty_ug = 5000.0
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 55500.0)
+        self.assertEqual(payment.amount_auth, 53500.0)
         self.assertEqual(error, None)
 
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14221)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14222)
@@ -56,9 +56,9 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34500.0, 55500.0, 46500.0, 42500.0, 46500.0, 0.0, 63000.0, 48500.0, 46000.0, 48500.0, 0.0, 48750.0), # science
+            (34500.0, 55500.0, 44500.0, 42500.0, 44500.0, 0.0, 62000.0, 46500.0, 44000.0, 46500.0, 0.0, 48750.0), # science
             (34500.0, 52500.0, 41500.0, 39500.0, 41500.0, 0.0, 59000.0, 43500.0, 41000.0, 43500.0, 0.0, 47200.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49600.0, 77500.0, 57500.0, 50500.0, 57500.0, 0.0, 81000.0, 61500.0, 53000.0, 61500.0, 0.0, 63180.0), # science
+            (49600.0, 75500.0, 55500.0, 48500.0, 55500.0, 0.0, 79000.0, 59500.0, 51000.0, 59500.0, 0.0, 63180.0), # science
             (49600.0, 72500.0, 52500.0, 45500.0, 52500.0, 0.0, 76000.0, 56500.0, 48000.0, 56500.0, 0.0, 61680.0)  # arts
           ), # non-local
@@ -66,9 +66,9 @@
         (
           ( # 10    100       110    200      210      300      400        410    500     510       600     999
-            (0.0, 58000.0, 46500.0, 46000.0, 46500.0, 46000.0, 58500.0, 48500.0, 47000.0, 48500.0, 47000.0, 0.0), # science
+            (0.0, 56000.0, 44500.0, 44000.0, 44500.0, 44000.0, 56500.0, 46500.0, 45000.0, 46500.0, 45000.0, 0.0), # science
             (0.0, 53000.0, 41500.0, 41000.0, 41500.0, 41000.0, 53500.0, 43500.0, 42000.0, 43500.0, 42000.0, 0.0)  # arts
           ), # local
           ( # 10   100         110    200       210      300      400     410      500     510      600     999
-            (0.0, 75000.0, 57500.0, 52000.0, 57500.0, 52000.0, 80000.0, 61500.0, 62000.0, 61500.0, 62000.0, 0.0), # science
+            (0.0, 73000.0, 55500.0, 50000.0, 55500.0, 50000.0, 78000.0, 59500.0, 60000.0, 58500.0, 60000.0, 0.0), # science
             (0.0, 70000.0, 52500.0, 47000.0, 52500.0, 47000.0, 75000.0, 56500.0, 57000.0, 56500.0, 57000.0, 0.0)  # arts
           ), # non-local
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 14221)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 14222)
@@ -60,9 +60,9 @@
 
     PAYMENT_CATEGORIES = {
+        'clearance': 'Acceptance',
         'schoolfee': 'School Fee',
         'carryover1': 'One Carry-Over',
         'carryover2': 'Two Carry-Overs',
         'carryover3': 'Three Carry-Overs',
-        'clearance': 'Acceptance',
         'bed_allocation': 'Bed Allocation',
         'hostel_maintenance': 'Hostel Maintenance',
@@ -105,4 +105,5 @@
 
     SELECTABLE_PAYMENT_CATEGORIES = {
+        'clearance': 'Acceptance',
         'schoolfee': 'School Fee',
         'carryover1': 'One Carry-Over',