Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 14236)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 14237)
@@ -61,4 +61,9 @@
     currency = CURRENCY
     product_id = PRODUCT_ID
+
+    def dynamic_provider_amt(self, student):
+        if student.entry_session >= 2016:
+            return 2500.0
+        return 1500.0
 
     def update(self):
@@ -83,5 +88,5 @@
         if self.context.p_category == 'schoolfee':
             if not self.context.p_item == 'Balance':
-                provider_amt = 2500.0
+                provider_amt = self.dynamic_provider_amt(student)
             if student.current_mode.endswith('_ft'):
                 self.pay_item_id = '5700'
@@ -92,5 +97,5 @@
         elif self.context.p_category == 'clearance':
             self.pay_item_id = '5702'
-            provider_amt = 2500.0
+            provider_amt = self.dynamic_provider_amt(student)
         elif self.context.p_category == 'gown':
             self.pay_item_id = '5704'
Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 14236)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 14237)
@@ -95,8 +95,8 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="3735000" bank_id="8" acct_num="2017506430"'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="BT Education" item_amt="250000" bank_id="117" acct_num="1014261520"'
+            'item_name="School Fee" item_amt="3835000" bank_id="8" acct_num="2017506430"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1014261520"'
             in self.browser.contents)
 
@@ -130,5 +130,5 @@
         self.browser.getLink("CollegePAY", index=0).click()
         # Split amounts have been set.
-        self.assertEqual(self.student['payments'][value].provider_amt, 2500.0)
+        self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
         self.assertTrue('<input type="hidden" name="pay_item_id" value="5701" />'
@@ -138,8 +138,8 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="1735000" bank_id="8" acct_num="2017506430"'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="BT Education" item_amt="250000" bank_id="117" acct_num="1014261520"'
+            'item_name="School Fee" item_amt="1835000" bank_id="8" acct_num="2017506430"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1014261520"'
             in self.browser.contents)
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14236)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14237)
@@ -606,5 +606,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 50000.0)
+        self.assertEqual(payment.amount_auth, 45000.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14236)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14237)
@@ -247,7 +247,11 @@
             elif p_item in ('BSCANA', 'BSCMBC', 'BMLS', 'BSCNUR', 'BSCPHS', 'BDS',
                 'MBBSMED', 'MBBSNDU'):
-                amount = 70000.0
-            else:
-                amount = 50000.0
+                amount = 65000.0
+            else:
+                amount = 45000.0
+            # Clearance fee and provider amount have been increased
+            # for new students.
+            if student.entry_session >= 2016:
+                amount += 5000.0
         elif category == 'schoolfee':
             try: